@echo off
REM --------------------------------------------------------------------------
REM    IBM InfoSphere Traceability Server Returnable Container Management
REM       ver 2.1.0.0
REM
REM    Licensed Material - Property of IBM 
REM    (C) Copyright IBM Corp. 2009 - All Rights Reserved 
REM
REM    US Government Users Restricted Rights - Use, duplication or disclosure
REM    restricted by GSA ADP Schedule Contract with IBM Corp. 
REM    IBM is a registered trademark of the IBM Corp. 
REM --------------------------------------------------------------------------



REM --------------------------------------------------------------------------
REM - When run from the current directory (manually), the script path will
REM - be the current directory. However, when this script is run by the RCM
REM - ETL process via Data Manager, the RCM script directory path will be
REM - passed in as an argument.
REM - 
REM - This logic accomodates both invocations.
REM --------------------------------------------------------------------------

if [%1]==[] (
  set SCRIPT_PATH=.
) else (
  set SCRIPT_PATH=%1
)


REM --------------------------------------------------------------------------
REM - Load the RCM script environment settings
REM --------------------------------------------------------------------------

@CALL %SCRIPT_PATH%\rcm_script_env.bat


REM --------------------------------------------------------------------------
REM - Transformer must be run from the Cognos bin directory
REM --------------------------------------------------------------------------

cd %TRANSFORMER_INSTALL_PATH%\bin



REM --------------------------------------------------------------------------
REM - Activate the updated cubes
REM --------------------------------------------------------------------------

@echo on
%TRANSFORMER_INSTALL_PATH%\bin\pcactivate "%RCM_CUBE_LOCAL%.mdc" %DIR_DEPLOY_CUBES%\DeployedCubes
%TRANSFORMER_INSTALL_PATH%\bin\pcactivate "%RCM_CUBE_UTC%.mdc" %DIR_DEPLOY_CUBES%\DeployedCubes
@echo off
